"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getApi = void 0;
const getApiBase_1 = require("../../base/getApiBase");
const flaschenpost_1 = require("flaschenpost");
const landingPage_1 = require("./landingPage");
const getApi = async function () {
    const api = await (0, getApiBase_1.getApiBase)({
        request: {
            headers: { cors: { origin: [] } },
            body: { parser: false },
            query: { parser: { useJson: false } }
        },
        response: {
            headers: { cache: false }
        }
    });
    const loggingMiddleware = (0, flaschenpost_1.getMiddleware)();
    api.get(`/${landingPage_1.landingPage.path}`, loggingMiddleware, await landingPage_1.landingPage.getHandler());
    return { api };
};
exports.getApi = getApi;
//# sourceMappingURL=index.js.map