"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rootCommand = void 0;
const buildCommand_1 = require("./build/buildCommand");
const devCommand_1 = require("./dev/devCommand");
const documentationCommand_1 = require("./documentation/documentationCommand");
const healthCommand_1 = require("./health/healthCommand");
const initCommand_1 = require("./init/initCommand");
const replayCommand_1 = require("./replay/replayCommand");
const setupCommand_1 = require("./setup/setupCommand");
const tokenCommand_1 = require("./token/tokenCommand");
const rootCommand = function () {
    return {
        name: 'wolkenkit',
        description: 'Manages wolkenkit.',
        optionDefinitions: [
            {
                name: 'verbose',
                alias: 'v',
                description: 'enable verbose mode',
                type: 'boolean',
                isRequired: false,
                defaultValue: false
            }
        ],
        handle({ getUsage }) {
            /* eslint-disable no-console */
            console.log(getUsage({ commandPath: ['wolkenkit'] }));
            /* eslint-enable no-console */
        },
        subcommands: {
            init: (0, initCommand_1.initCommand)(),
            dev: (0, devCommand_1.devCommand)(),
            build: (0, buildCommand_1.buildCommand)(),
            documentation: (0, documentationCommand_1.documentationCommand)(),
            health: (0, healthCommand_1.healthCommand)(),
            setup: (0, setupCommand_1.setupCommand)(),
            replay: (0, replayCommand_1.replayCommand)(),
            token: (0, tokenCommand_1.tokenCommand)()
        }
    };
};
exports.rootCommand = rootCommand;
//# sourceMappingURL=rootCommand.js.map