"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapDomainEvent = void 0;
const lodash_1 = require("lodash");
const mapDomainEvent = async function ({ domainEventWithState, aggregateState, domainEventHandler, services }) {
    if (!domainEventHandler.map) {
        return domainEventWithState;
    }
    const clonedDomainEvent = (0, lodash_1.cloneDeep)(domainEventWithState);
    const mappedDomainEvent = await domainEventHandler.map(aggregateState, clonedDomainEvent, services);
    return mappedDomainEvent;
};
exports.mapDomainEvent = mapDomainEvent;
//# sourceMappingURL=mapDomainEvent.js.map