"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseCommandHandler = void 0;
const defekt_1 = require("defekt");
const lodash_1 = require("lodash");
const errors = __importStar(require("../errors"));
const parseCommandHandler = function ({ commandHandler }) {
    if (!(0, lodash_1.isObjectLike)(commandHandler)) {
        return (0, defekt_1.error)(new errors.CommandHandlerMalformed(`Property 'commandHandler' is not an object.`));
    }
    if ((0, lodash_1.isUndefined)(commandHandler.isAuthorized)) {
        return (0, defekt_1.error)(new errors.CommandHandlerMalformed(`Function 'isAuthorized' is missing.`));
    }
    if (!(0, lodash_1.isFunction)(commandHandler.isAuthorized)) {
        return (0, defekt_1.error)(new errors.CommandHandlerMalformed(`Property 'isAuthorized' is not a function.`));
    }
    if ((0, lodash_1.isUndefined)(commandHandler.handle)) {
        return (0, defekt_1.error)(new errors.CommandHandlerMalformed(`Function 'handle' is missing.`));
    }
    if (!(0, lodash_1.isFunction)(commandHandler.handle)) {
        return (0, defekt_1.error)(new errors.CommandHandlerMalformed(`Property 'handle' is not a function.`));
    }
    if (!(0, lodash_1.isUndefined)(commandHandler.getDocumentation) && !(0, lodash_1.isFunction)(commandHandler.getDocumentation)) {
        return (0, defekt_1.error)(new errors.CommandHandlerMalformed(`Property 'getDocumentation' is not a function.`));
    }
    if (!(0, lodash_1.isUndefined)(commandHandler.getSchema) && !(0, lodash_1.isFunction)(commandHandler.getSchema)) {
        return (0, defekt_1.error)(new errors.CommandHandlerMalformed(`Property 'getSchema' is not a function.`));
    }
    return (0, defekt_1.value)(commandHandler);
};
exports.parseCommandHandler = parseCommandHandler;
//# sourceMappingURL=parseCommandHandler.js.map