"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getApi = void 0;
const get_cors_origin_1 = require("get-cors-origin");
const http_1 = require("../../../../apis/landingPage/http");
const http_2 = require("../../../../apis/subscribeNotifications/http");
const express_1 = __importDefault(require("express"));
const getApi = async function ({ configuration, application, identityProviders, subscriber, channelForNotifications }) {
    const corsOrigin = (0, get_cors_origin_1.getCorsOrigin)(configuration.notificationCorsOrigin);
    const { api: landingPageApi } = await (0, http_1.getApi)();
    const { api: subscribeNotificationsApi } = await (0, http_2.getApi)({
        application,
        identityProviders,
        subscriber,
        channelForNotifications,
        corsOrigin,
        heartbeatInterval: configuration.heartbeatInterval
    });
    const api = (0, express_1.default)();
    api.use(landingPageApi);
    api.use('/notifications', subscribeNotificationsApi);
    return { api };
};
exports.getApi = getApi;
//# sourceMappingURL=getApi.js.map